[![Documentation Status](https://readthedocs.org/projects/clearbox-synthetic-kit/badge/?version=latest)](https://clearbox-synthetic-kit.readthedocs.io/en/latest/?badge=latest)
![PyPI Version](https://img.shields.io/pypi/v/clearbox-synthetic-kit.svg?cache-bust=1)
[![Downloads](https://pepy.tech/badge/clearbox-synthetic-kit)](https://pepy.tech/project/clearbox-synthetic-kit)
[![GitHub stars](https://img.shields.io/github/stars/Clearbox-AI/clearbox-synthetic-kit?style=social)](https://github.com/Clearbox-AI/clearbox-synthetic-kit)

<img src="docs/source/img/synthetickit.png" width="450">

### The synthetic data generation library.

Clearbox AI's all-in-one solution for generation and evaluation of synthetic **tabular** and **time-series** data.

In addition to its data generation modules, Clearbox Synthetic Kit includes a high-speed preprocessing module to prepare data for training, as well as an evaluation package designed to assess the utility and, when necessary, the privacy level of synthetic data.

Dive into the [Wiki](https://clearbox-synthetic-kit.readthedocs.io/en/latest/wiki/main.html) section of the documentation to explore everything about the library! 🚀

## Installation

```shell
$ pip install clearbox-synthetic-kit
```

> [!IMPORTANT]
> The current version of clearbox-synthetic-kit works <ins>only</ins> on Linux and MacOS

## Try it out
Get a quick overview of the generation process with Clearbox Synthetic Kit.

[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/Clearbox-AI/clearbox-synthetic-kit/blob/main/tutorials/tabular_data/1_tabular_generation.ipynb)

Find other examples and use cases [here](https://github.com/Clearbox-AI/clearbox-synthetic-kit/tree/main/tutorials).

---

### Contacts
<img src="https://github.com/Clearbox-AI/clearbox-synthetic-kit/blob/main/docs/source/img/email.svg" alt="Email" width="20" height="20"> &nbsp; <a href="mailto:info@clearbox.ai"> &#8203;`info@clearbox.ai` </a>

<img src="https://github.com/Clearbox-AI/clearbox-synthetic-kit/blob/main/docs/source/img/website.svg" alt="Website" width="20" height="20">&nbsp; <a href="https://clearbox.ai" target="_blank">`www.clearbox.ai`</a>
